## org.jdom
Class Comment

    java.lang.Object
      |
      +--org.jdom.Comment

public class Comment
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

`Comment` defines behavior for an XML comment, modeled in Java. Methods allow the user to obtain the text of the comment.

Version:
  $Revision: 1.22 $, $Date: 2002/03/20 15:16:32 $
Author:
  Brett McLaughlin, Jason Hunter
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` `parent` Parent element, document, or null if none
`protected java.lang.String` `text` Text of the `Comment`

Constructor Summary
`protected` `Comment()` Default, no-args constructor for implementations to use if needed.
`` `Comment(java.lang.String text)` This creates the comment with the supplied text.

Method Summary
`java.lang.Object` `clone()` This will return a clone of this `Comment`.
`Comment` `detach()` This detaches the `Comment` from its parent, or does nothing if the `Comment` has no parent.
`boolean` `equals(java.lang.Object ob)` This tests for equality of this `Comment` to the supplied `Object`.
`Document` `getDocument()` This retrieves the owning ``Document`` for this Comment, or null if not a currently a member of a ``Document``.
`Element` `getParent()` This will return the parent of this `Comment`.
`java.lang.String` `getText()` This returns the textual data within the `Comment`.
`int` `hashCode()` This returns the hash code for this `Comment`.
`protected Comment` `setDocument(Document document)` This sets the ``Document`` parent of this comment.
`protected Comment` `setParent(Element parent)` This will set the parent of this `Comment`.
`Comment` `setText(java.lang.String text)` This will set the value of the `Comment`.
`java.lang.String` `toString()` This returns a `String` representation of the `Comment`, suitable for debugging.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    protected java.lang.String text

  Text of the `Comment`

### parent

    protected java.lang.Object parent

  Parent element, document, or null if none

Constructor Detail

### Comment

    protected Comment()

  Default, no-args constructor for implementations to use if needed.

### Comment

    public Comment(java.lang.String text)

  This creates the comment with the supplied text.

  Parameters:
    `text` - `String` content of comment.

Method Detail

### getParent

    public Element getParent()

  This will return the parent of this `Comment`. If there is no parent, then this returns `null`.

  Returns:
    parent of this `Comment`

### setParent

    protected Comment setParent(Element parent)

  This will set the parent of this `Comment`.

  Parameters:
    `parent` - `Element` to be new parent.
  Returns:
    this `Comment` modified.

### detach

    public Comment detach()

  This detaches the `Comment` from its parent, or does nothing if the `Comment` has no parent.

  Returns:
    `Comment` - this `Comment` modified.

### getDocument

    public Document getDocument()

  This retrieves the owning ``Document`` for this Comment, or null if not a currently a member of a ``Document``.

  Returns:
    `Document` owning this Element, or null.

### setDocument

    protected Comment setDocument(Document document)

  This sets the ``Document`` parent of this comment.

  Parameters:
    `document` - `Document` parent
  Returns:
    this `Comment` modified

### getText

    public java.lang.String getText()

  This returns the textual data within the `Comment`.

  Returns:
    `String` - text of comment.

### setText

    public Comment setText(java.lang.String text)

  This will set the value of the `Comment`.

  Parameters:
    `text` - `String` text for comment.
  Returns:
    `Comment` - this Comment modified.
  Throws:
    IllegalDataException - if the given text is illegal for a Comment.

### toString

    public java.lang.String toString()

  This returns a `String` representation of the `Comment`, suitable for debugging. If the XML representation of the `Comment` is desired, `XMLOutputter.outputString(Comment)` should be used.

  Overrides:
    toString in class java.lang.Object
  Returns:
    `String` - information about the `Attribute`

### equals

    public final boolean equals(java.lang.Object ob)

  This tests for equality of this `Comment` to the supplied `Object`.

  Overrides:
    equals in class java.lang.Object
  Parameters:
    `ob` - `Object` to compare to.
  Returns:
    `boolean` - whether the `Comment` is equal to the supplied `Object`.

### hashCode

    public final int hashCode()

  This returns the hash code for this `Comment`.

  Overrides:
    hashCode in class java.lang.Object
  Returns:
    `int` - hash code.

### clone

    public java.lang.Object clone()

  This will return a clone of this `Comment`.

  Overrides:
    clone in class java.lang.Object
  Returns:
    `Object` - clone of this `Comment`.

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.